=== plugins/gpu_peops/Makefile ===
CC = $(CROSS_COMPILE)gcc
CXX = $(CROSS_COMPILE)g++
CC_ = $(CC)

ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')

CFLAGS += -DREARMED
CFLAGS += -ggdb -Wall -O3 -ffast-math
ifdef MAEMO
CFLAGS += -DMAEMO
endif

SRC += gpu.c
SRC += vout_fb.c
SRC += ../gpulib/cspace_neon.s

EXT = so
TARGETS = gpu_peops.$(EXT)

gpu_peops.$(EXT): SRC += peops_if.c
gpu_peops.$(EXT): CFLAGS += -fno-strict-aliasing

all: $(TARGETS)

$(TARGETS): $(SRC)
	$(CC_) -o $@ $(SRC) $(CFLAGS) $(LDFLAGS) -shared -Wl,-soname,$@

clean:
	$(RM) $(TARGETS)
