=== debian/changelog ===
pcsxrearmed (0.4.0.14) unstable; urgency=low

  * Updated to r14
  * Added --help
  * PCSX4All

 -- sakya <sakya_tg@yahoo.it>  Sun,  27 Dec 2011 00:02:27 +0200
