## pcsxrearmed 0.4.0.14.1

=== debian/changelog ===
pcsxrearmed (0.4.0.14.1) unstable; urgency=low

  * Added option to set psx region (NTSC/PAL/Auto)
  * Use PulseAudio (better audio)
 -- sakya <sakya_tg@yahoo.it>  Wed,  30 Mar 2012 09:44:51 +0200
