## pcsxrearmed 0.4.0.14.2

=== Makefile ===
--- 
+++ 
@@ -92,6 +92,10 @@
 plugins/dfsound/%.o: CFLAGS += -DUSEALSA
 OBJS += plugins/dfsound/alsa.o
 LDFLAGS += -lasound
+endif
+ifeq "$(USE_PULSE)" "1"
+plugins/dfsound/%.o: CFLAGS += -DUSEPULSEAUDIO
+OBJS += plugins/dfsound/pulseaudio.o
 endif
 
 # gpu
