=== debian/changelog ===
pcsxrearmed (0.4.0.14.2) unstable; urgency=low

  * Fixed fullscreen using gpu-gles
  * Fixed crash when saving savestate using gpu-gles
  * Added options to set spu reverb and interpolation (disabled by default)

 -- sakya <sakya_tg@yahoo.it>  Sun,  01 Apr 2012 11:42:20 +0200
