## pcsxrearmed 0.4.0.14.3

=== debian/changelog ===
pcsxrearmed (0.4.0.14.3) unstable; urgency=low

  * Added options to set various gles settings
  * Fixed save state slot selection
  * Added notification on save state slot change

 -- sakya <sakya_tg@yahoo.it>  Wed,  04 Apr 2012 10:20:18 +0200
