=== debian/changelog ===
pcsxrearmed (0.4.0.14.4) unstable; urgency=low

  * Fixed -load option
  * Added disc change (configured a new key)

 -- sakya <sakya_tg@yahoo.it>  Wed,  04 Apr 2012 10:20:18 +0200
