## pcsxrearmed 0.4.0.14.5

=== debian/changelog ===
pcsxrearmed (0.4.0.14.5) unstable; urgency=low

  * Fixed accelerometer using gles
  * Added -analog option to use the accelerometer as the analog pad
  * Added options to set accelerometer sens, max value, y_def
  * Added -displayon option to keep the display on (useful when playing using the accelerometer)

 -- sakya <sakya_tg@yahoo.it>  Tue,  10 Apr 2012 15:34:11 +0200
