## pcsxrearmed 0.4.0.14.6

=== debian/changelog ===
pcsxrearmed (0.4.0.14.6) unstable; urgency=low

  * Added option -keys to set the keys config file
  * Fixed L1/L2/R1/R2
  * Added autopause on incoming call

 -- sakya <sakya_tg@yahoo.it>  Wed,  13 Apr 2012 12:51:35 +0200
