## pcsxrearmed 0.4.0.14.7

=== debian/changelog ===
pcsxrearmed (0.4.0.14.7) unstable; urgency=low

  * Fixed -displayon

 -- sakya <sakya_tg@yahoo.it>  Sun,  15 Apr 2012 17:22:08 +0200
