## pcsxrearmed 0.4.0.14.8

=== debian/changelog ===
pcsxrearmed (0.4.0.14.8) unstable; urgency=low

  * Added option -disc to set the initial disc in multi discs images (used when loading a sevestate with -load)
  * Added option -autosave
  * Fixed disc change for multi discs images (PBP)
  * Merged commits from Notaz git
    * drc: inv: fix ram ofset and mirror handling
    * support emulated RAM mapped at offset

 -- sakya <sakya_tg@yahoo.it>  Fri,  20 Apr 2012 20:27:19 +0200
