## pcsxrearmed 0.4.0.14.9

=== debian/changelog ===
pcsxrearmed (0.4.0.14.9) unstable; urgency=low

   * Added support to .mdf extension
   * Added option -vibration to activate vibration

 -- sakya <sakya_tg@yahoo.it>  Tue,  1 May 2012 12:19:49 +0200
