## pcsxrearmed 0.4.0.14.10

=== tools/Makefile ===
CFLAGS += -Wall -O2
LDFLAGS += -lz

all: psxcimg

clean:
	$(RM) psxcimg
