=== debian/changelog ===
pcsxrearmed (0.4.0.14.10) unstable; urgency=low

   * Added option -corners to set action to execute when clicking on display corners
   * Fixed problem with notification using gles plugin
   * Fixed controller problem with game "Heart Of Darkness" (maybe others?)

 -- sakya <sakya_tg@yahoo.it>  Fri, 11 May 2012 16:38:29 +0200
