=== debian/changelog ===
pcsxrearmed (0.4.0.14.11) unstable; urgency=low

   * Added option -guncon and -gunnotrigger to activate guncon controller type

 -- sakya <sakya_tg@yahoo.it>  Wed,  16 May 2012 09:37:12 +0200
