=== plugins/gpu_peops/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ARCH = $(shell $(CC) -v 2>&1 | grep -i 'target:' | awk '{print $$2}' | awk -F '-' '{print $$1}')
 
 CFLAGS += -DREARMED
-CFLAGS += -march=armv7-a -mfpu=neon -ggdb -Wall -O3 -ffast-math
+CFLAGS += -march=armv7-a -mtune=cortex-a8 -mfpu=neon -ggdb -Wall -O3 -ffast-math
 ifdef MAEMO
 CFLAGS += -DMAEMO
 endif
