=== debian/changelog ===
pcsxrearmed (0.4.0.14.12) unstable; urgency=low

   * Fixed a problem with controller and vibration (Gran Turismo 2, Wipeout 3)
   * Added dependency to libts

 -- sakya <sakya_tg@yahoo.it>  Wed,  16 May 2012 17:09:33 +0200
