=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 build-stamp:
 	dh_testdir
-	$(MAKE) -f Makefile.maemo maemo
+	$(MAKE) -f Makefile.maemo
 	touch build-stamp
 
 clean:
@@ -28,7 +28,7 @@
 	dh_testroot
 	rm -f build-stamp
 	dh_clean
-	$(MAKE) -f Makefile.maemo clean
+	$(MAKE) -f Makefile.maemo clean clean_plugins
 
 install: build
 	dh_testdir
